#
# spec file for package scim-canna
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           scim-canna
Version:        1.0.1
Release:        6.3
Summary:        Canna Input Method Engine for SCIM
License:        GPL-2.0+
Group:          System/I18n/Japanese
Url:            http://sourceforge.jp/projects/scim-imengine/
Source:         http://iij.dl.sourceforge.jp/scim-imengine/29155/%{name}-%{version}.tar.gz
#PATCH-FIX-UPSTREAM migration old gtk functions: gtktooltips
Patch1:         gtk-2.12+-gtktooltips-migration.patch
#PATCH-FIX-UPSTREAM convert old gtk_combo to new gtk_combobox
Patch2:         gtk-2.4+-combobox-migration.patch
BuildRequires:  canna-devel
BuildRequires:  gcc-c++
BuildRequires:  pkg-config
BuildRequires:  scim-devel
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
Canna Input Method Engine for SCIM

%prep
%setup -q
%patch1 -p1
%patch2 -p1

%build
CXXFLAGS="%{optflags}"
%configure \
    --disable-static \
    --enable-debug
make %{?_smp_mflags}

%install
make DESTDIR=%{buildroot} install %{?_smp_mflags}
find %{buildroot} -name "*.la" -delete -print
%find_lang %{name}

%files -f %{name}.lang
%defattr(-, root, root)
%doc AUTHORS COPYING NEWS README ChangeLog
%{_scim_enginedir}/canna.so
%if 0%{?suse_version} >= 1140
%{_scim_uidir}/canna-imengine-setup.so
%endif
%{_scim_icondir}/%{name}.png

%changelog
* Sun Sep 13 2015 i@marguerite.su
- drop libtool-autoconf.patch: it's for SLE_10
- remove other SLE_10 hacks
- use macros from macros.scim
- use %%configure
- remove unneeded dependency: update-desktop-files
- remove always enabled macro: scim_gtk3
* Wed Jul 24 2013 i@marguerite.su
- update 1.0.1
  * Fix a build problem on gcc-4.3.
- remove patch: missing-includes.patch
  * upstream fixed
- Don't know why this package suddenly has an OBS notification
  for an update released 5 years ago. But I don't wanna be spammed
  by dear coolo...
* Thu Sep 13 2012 hillwood@linuxfans.org
- build with gtk3
* Tue Jun 12 2012 tiwai@suse.de
- Remove locale;ja provides for avoding the automatic installation
- Disable gtk3-migration patches temporarily (can be enabled by
  defining scim_gtk3=1)
* Tue Jun 12 2012 i@marguerite.su
- still fix for factory
  * add gtk_combobox migration patch, thanks to mgorse.
* Thu Jun  7 2012 i@marguerite.su
- fix for factory
  * add gtktooltips migration patch.
  * run spec-cleaner.
* Mon Feb 22 2010 coolo@novell.com
- remove autoreconf for newer distributions
* Fri Nov  9 2007 mfabian@suse.de
- add missing includes to fix build with gcc 4.3.0.
* Thu Oct 12 2006 mfabian@suse.de
- fix to build with scim 1.4.5.
* Wed Sep  6 2006 mfabian@suse.de
- update to 1.0.0.
  • Add README
  • Add on/off key.
  • Add preferences for initial input mode.
* Thu Feb 23 2006 mfabian@suse.de
- add "Provides: locale(scim:ja)".
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Fri Jan 13 2006 mfabian@suse.de
- update to 0.1.3.
- remove bugzilla-105566-scim-setup-crash.patch (included upstream).
- add libtool-autoconf.patch to make it build.
* Fri Aug 19 2005 mfabian@suse.de
- Bugzilla #105566: apply patch by Zhe Su <zsu@novell.com>.
* Fri Aug  5 2005 mfabian@suse.de
- update to 0.1.1.
  remove Uli's cpp.patch, it is included upstream now.
* Wed Jun  8 2005 uli@suse.de
- fixed C++ sloppiness
- pass RPM_OPT_FLAGS correctly
- removed explicit -fPIC, the package takes care of that
* Tue Jun  7 2005 mfabian@suse.de
- new package: scim-canna, version 0.1.0.
